Page MenuHomePhabricator

RfC: Institute "last call" period for MediaWiki RfCs
Closed, ResolvedPublic

Description

In 2015, TechCom discussed the possibility that decision-oriented RFC meetings should result in the decision to put RFCs into "last call", rather than be automatically approved in the meeting. We could then agree on a fixed time to close off the discussion (e.g. one week), possibly using subsequent TechCom meetings as the place to finalize the decision.

On 2016-05-04, TechCom briefly discussed this issue in E167. We have basically been using this process for the past few months. We typically announce something is going to "last call" on wiktech-l, then give it one week, then consider it done. We have mw:RFCstatus, where last calls will likely be documented.

We want to issue a call for last calls on call for last calls. :-) Barring substantive objection, we'll consider this RFC approved.

Event Timeline

RobLa-WMF claimed this task.
RobLa-WMF raised the priority of this task from to Normal.
RobLa-WMF updated the task description. (Show Details)
RobLa-WMF added a subscriber: RobLa-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 3 2015, 5:02 AM

Much of the discussion on T118932: RfC: Raise MediaWiki's PHP version requirement to 5.5 and update coding standards has centered on procedural issues, which would be better addressed in this task. Please read the comment thread there for background on the creation of this issue.

daniel added a subscriber: daniel.Dec 3 2015, 11:22 AM
MaxSem added a subscriber: MaxSem.Jan 27 2016, 11:08 PM
RobLa-WMF moved this task from Inbox to unused on the TechCom board.Mar 17 2016, 9:41 PM
RobLa-WMF renamed this task from RfC: Institute "last call" period for MediaWiki RfCs (WIP) to RfC: Institute "last call" period for MediaWiki RfCs.May 4 2016, 11:25 PM
RobLa-WMF updated the task description. (Show Details)
RobLa-WMF set Security to None.

TechCom briefly discussed this issue in E167. We have basically been using this process for the past few months. We typically announce something is going to "last call" on wiktech-l, then give it one week, then consider it done. We have mw:RFCstatus, where last calls will likely be documented.

We want to issue a call for last calls on call for last calls. :-) Barring substantive objection, we'll consider this RFC approved.

Qgil awarded a token.May 5 2016, 10:36 AM

This process we've been using is documented in T123606 - mw:Requests_for_comment/Governance. Rather than calling it "last call", we're borrowing Rust's terminology and referring to it as a "Final comment period".

RobLa-WMF closed this task as Resolved.May 14 2016, 12:00 AM
RobLa-WMF moved this task from Last Call to Approved on the TechCom-RFC board.

Approved by TechCom